Package wx :: Class Image_HSVValue

[frames | no frames]

## Type Image_HSVValue

    object --+
             |
            Image_HSVValue

An object that contains values for hue, saturation and value which represent the value of a color. It is used by `wx.Image.HSVtoRGB` and `wx.Image.RGBtoHSV`, which +converts between HSV color space and RGB color space.

Method Summary
Image_HSVValue | ``__init__`(self, h, s, v)` Constructor.

Property Summary
| `hue`
| `saturation`
| `thisown`: The membership flag
| `value`

Method Details

### __init__(self, h=0.0, s=0.0, v=0.0)
(Constructor)

Constructor.

  Parameters:
    `h`
    (type=double)

    `s`
    (type=double)

    `v`
    (type=double)

  Returns:
    Image_HSVValue
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:20 2007 | http://epydoc.sf.net